Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.tagvalue
Class TagValue

    java.lang.Object
      org.biojava.bio.program.tagvalue.TagValue

    public class TagValue

extends Object

Utility class for representing tag-value pairs for TagValueParser implementors.

Since:
  1.2
Author:
  Matthew Pocock

Constructor Summary
`TagValue(Object tag, Object value, boolean newTag)` Build a new TagValue with a tag, a value and a flag indicating if this is a new example of this tag or a continuation of an old example.

Method Summary
`Object` | `getTag()`
`Object` | `getValue()`
`boolean` | `isNewTag()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagValue

    public TagValue(Object tag,
                    Object value,
                    boolean newTag)

  Build a new TagValue with a tag, a value and a flag indicating if this is a new example of this tag or a continuation of an old example.

  Parameters:
    `tag` - the tag Object
    `value` - the value Object
    `newTag` - true if startTag events should be thrown even if the tag is identical to the previously observed tag

Method Detail

### getTag

    public Object getTag()

### getValue

    public Object getValue()

### isNewTag

    public boolean isNewTag()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD